Fork me on GitHub"

# skbio.sequence.Protein.has_stops

Protein.has_stops()

  Determine if the sequence contains one or more stop characters.

  State: Stable as of 0.4.0.

  Returns:

    Indicates whether there are one or more occurrences of stop characters in the protein sequence.

  Return type:

    bool

  Examples

      >>> from skbio import Protein
      >>> s = Protein('PAW')
      >>> s.has_stops()
      False
      >>> s = Protein('PAW*E*')
      >>> s.has_stops()
      True